Update attribute value
POST
/merchants/{merchantCode}/attributes/{attributeCode}/values/{attributeValueCode}
const url = 'https://customer.shopgate.io/v1/merchants/example/attributes/example/values/example';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"name":"Rabbit","sequenceId":3}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://customer.shopgate.io/v1/merchants/example/attributes/example/values/example \ --header 'Content-Type: application/json' \ --data '{ "name": "Rabbit", "sequenceId": 3 }'Update attribute value
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
attributeCode
required
string
attributeValueCode
required
string
Query Parameters
Section titled “Query Parameters”localeCode
string
Locale code to change the language of the attributes
Request Body
Section titled “Request Body”Media typeapplication/json
object
sequenceId
required
Sequence id of the order of the values. The lowest number is at the top and the highest number is at the bottom.
number
Example
0name
required
Name of the attribute value which will be shown to the customer. It’s saved in the language of the passed locale.
string
Example
BlackExample
{ "name": "Rabbit", "sequenceId": 3}Responses
Section titled “Responses”Successfully updated
Media typeapplication/json
Validation error
Media typeapplication/json
object
errors
Array<object>
object
field
required
The parameter-field, that failed to validate, like “shopNumber”
string
value
The value, that was sent, like “xxx”
string
code
required
Machine readable error code
string
message
required
Human readable error code
string
Example
{ "errors": [ { "code": "ENUM_MISMATCH" } ]}Merchant, attribute or attribute value not found
Media typeapplication/json
default
Section titled “default”Unexpected error
Media typeapplication/json
object
code
Machine readable error code
string
message
required
Human readable error code
string
Examplegenerated
{ "code": "example", "message": "example"}
